Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmSelectPerson.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmSelectPerson.Designer.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmSelectPerson.Designer.cs	(revision 6)
@@ -0,0 +1,247 @@
+﻿namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmSelectPerson
+    {
+        /// <summary>
+        /// Required designer variable.
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// Clean up any resources being used.
+        /// </summary>
+        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows Form Designer generated code
+
+        /// <summary>
+        /// Required method for Designer support - do not modify
+        /// the contents of this method with the code editor.
+        /// </summary>
+        private void InitializeComponent()
+        {
+            this.btnExecute = new System.Windows.Forms.Button();
+            this.btnCancel = new System.Windows.Forms.Button();
+            this.panel1 = new System.Windows.Forms.Panel();
+            this.label113 = new System.Windows.Forms.Label();
+            this.label76 = new System.Windows.Forms.Label();
+            this.pnlCostParam = new System.Windows.Forms.Panel();
+            this.label22 = new System.Windows.Forms.Label();
+            this.textBox2 = new System.Windows.Forms.TextBox();
+            this.radioButton6 = new System.Windows.Forms.RadioButton();
+            this.radioButton5 = new System.Windows.Forms.RadioButton();
+            this.radioButton4 = new System.Windows.Forms.RadioButton();
+            this.cmbDepartment = new ProcessManagement.Forms.CustomControls.ComboBoxEX();
+            this.cmbPerson = new ProcessManagement.Forms.CustomControls.ComboBoxEX();
+            this.panel1.SuspendLayout();
+            this.pnlCostParam.SuspendLayout();
+            this.SuspendLayout();
+            // 
+            // btnExecute
+            // 
+            this.btnExecute.BackColor = System.Drawing.Color.Green;
+            this.btnExecute.ForeColor = System.Drawing.Color.White;
+            this.btnExecute.Location = new System.Drawing.Point(233, 10);
+            this.btnExecute.Name = "btnExecute";
+            this.btnExecute.Size = new System.Drawing.Size(140, 40);
+            this.btnExecute.TabIndex = 0;
+            this.btnExecute.Text = "実　　行";
+            this.btnExecute.UseVisualStyleBackColor = false;
+            this.btnExecute.Click += new System.EventHandler(this.btnExecute_Click);
+            // 
+            // btnCancel
+            // 
+            this.btnCancel.BackColor = System.Drawing.Color.Red;
+            this.btnCancel.ForeColor = System.Drawing.Color.White;
+            this.btnCancel.Location = new System.Drawing.Point(379, 10);
+            this.btnCancel.Name = "btnCancel";
+            this.btnCancel.Size = new System.Drawing.Size(140, 40);
+            this.btnCancel.TabIndex = 3;
+            this.btnCancel.Text = "キャンセル";
+            this.btnCancel.UseVisualStyleBackColor = false;
+            this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
+            // 
+            // panel1
+            // 
+            this.panel1.BackColor = System.Drawing.Color.WhiteSmoke;
+            this.panel1.Controls.Add(this.btnCancel);
+            this.panel1.Controls.Add(this.btnExecute);
+            this.panel1.Location = new System.Drawing.Point(-8, 140);
+            this.panel1.Name = "panel1";
+            this.panel1.Size = new System.Drawing.Size(540, 60);
+            this.panel1.TabIndex = 3;
+            // 
+            // label113
+            // 
+            this.label113.BackColor = System.Drawing.Color.LightGreen;
+            this.label113.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label113.Location = new System.Drawing.Point(262, 25);
+            this.label113.Name = "label113";
+            this.label113.Size = new System.Drawing.Size(250, 30);
+            this.label113.TabIndex = 67;
+            this.label113.Text = "担　当　者";
+            this.label113.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // label76
+            // 
+            this.label76.BackColor = System.Drawing.Color.LightGreen;
+            this.label76.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label76.Location = new System.Drawing.Point(12, 25);
+            this.label76.Name = "label76";
+            this.label76.Size = new System.Drawing.Size(250, 30);
+            this.label76.TabIndex = 68;
+            this.label76.Text = "部　　署";
+            this.label76.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // pnlCostParam
+            // 
+            this.pnlCostParam.BackColor = System.Drawing.Color.Beige;
+            this.pnlCostParam.Controls.Add(this.label22);
+            this.pnlCostParam.Controls.Add(this.textBox2);
+            this.pnlCostParam.Controls.Add(this.radioButton6);
+            this.pnlCostParam.Controls.Add(this.radioButton5);
+            this.pnlCostParam.Controls.Add(this.radioButton4);
+            this.pnlCostParam.Location = new System.Drawing.Point(12, 92);
+            this.pnlCostParam.Name = "pnlCostParam";
+            this.pnlCostParam.Size = new System.Drawing.Size(499, 40);
+            this.pnlCostParam.TabIndex = 71;
+            // 
+            // label22
+            // 
+            this.label22.AutoSize = true;
+            this.label22.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label22.Location = new System.Drawing.Point(437, 12);
+            this.label22.Name = "label22";
+            this.label22.Size = new System.Drawing.Size(33, 21);
+            this.label22.TabIndex = 14;
+            this.label22.Text = "日";
+            // 
+            // textBox2
+            // 
+            this.textBox2.BackColor = System.Drawing.Color.White;
+            this.textBox2.Enabled = false;
+            this.textBox2.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.textBox2.Location = new System.Drawing.Point(381, 8);
+            this.textBox2.MaxLength = 6;
+            this.textBox2.Name = "textBox2";
+            this.textBox2.Size = new System.Drawing.Size(56, 28);
+            this.textBox2.TabIndex = 10;
+            this.textBox2.TabStop = false;
+            this.textBox2.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
+            // 
+            // radioButton6
+            // 
+            this.radioButton6.AutoSize = true;
+            this.radioButton6.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.radioButton6.Location = new System.Drawing.Point(261, 10);
+            this.radioButton6.Name = "radioButton6";
+            this.radioButton6.Size = new System.Drawing.Size(120, 25);
+            this.radioButton6.TabIndex = 13;
+            this.radioButton6.Text = "日数指定";
+            this.radioButton6.UseVisualStyleBackColor = true;
+            this.radioButton6.CheckedChanged += new System.EventHandler(this.radioButton_CheckedChanged);
+            // 
+            // radioButton5
+            // 
+            this.radioButton5.AutoSize = true;
+            this.radioButton5.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.radioButton5.Location = new System.Drawing.Point(156, 10);
+            this.radioButton5.Name = "radioButton5";
+            this.radioButton5.Size = new System.Drawing.Size(97, 25);
+            this.radioButton5.TabIndex = 12;
+            this.radioButton5.Text = "未振分";
+            this.radioButton5.UseVisualStyleBackColor = true;
+            this.radioButton5.CheckedChanged += new System.EventHandler(this.radioButton_CheckedChanged);
+            // 
+            // radioButton4
+            // 
+            this.radioButton4.AutoSize = true;
+            this.radioButton4.Checked = true;
+            this.radioButton4.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.radioButton4.Location = new System.Drawing.Point(28, 10);
+            this.radioButton4.Name = "radioButton4";
+            this.radioButton4.Size = new System.Drawing.Size(120, 25);
+            this.radioButton4.TabIndex = 11;
+            this.radioButton4.TabStop = true;
+            this.radioButton4.Text = "全日振分";
+            this.radioButton4.UseVisualStyleBackColor = true;
+            this.radioButton4.CheckedChanged += new System.EventHandler(this.radioButton_CheckedChanged);
+            // 
+            // cmbDepartment
+            // 
+            this.cmbDepartment.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cmbDepartment.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.cmbDepartment.FormattingEnabled = true;
+            this.cmbDepartment.Location = new System.Drawing.Point(12, 55);
+            this.cmbDepartment.Name = "cmbDepartment";
+            this.cmbDepartment.Size = new System.Drawing.Size(250, 29);
+            this.cmbDepartment.TabIndex = 69;
+            this.cmbDepartment.SelectedIndexChanged += new System.EventHandler(this.cmbDepartment_SelectedIndexChanged);
+            // 
+            // cmbPerson
+            // 
+            this.cmbPerson.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cmbPerson.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.cmbPerson.FormattingEnabled = true;
+            this.cmbPerson.Location = new System.Drawing.Point(262, 55);
+            this.cmbPerson.Name = "cmbPerson";
+            this.cmbPerson.Size = new System.Drawing.Size(250, 29);
+            this.cmbPerson.TabIndex = 70;
+            this.cmbPerson.SelectedIndexChanged += new System.EventHandler(this.cmbPerson_SelectedIndexChanged);
+            // 
+            // FrmSelectPerson
+            // 
+            this.AcceptButton = this.btnExecute;
+            this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
+            this.BackColor = System.Drawing.Color.YellowGreen;
+            this.ClientSize = new System.Drawing.Size(524, 195);
+            this.Controls.Add(this.pnlCostParam);
+            this.Controls.Add(this.cmbDepartment);
+            this.Controls.Add(this.cmbPerson);
+            this.Controls.Add(this.label113);
+            this.Controls.Add(this.label76);
+            this.Controls.Add(this.panel1);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
+            this.KeyPreview = true;
+            this.MaximizeBox = false;
+            this.MinimizeBox = false;
+            this.Name = "FrmSelectPerson";
+            this.ShowIcon = false;
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
+            this.Text = "担当者選択";
+            this.FormClosed += new System.Windows.Forms.FormClosedEventHandler(this.FrmStatusAndDate_FormClosed);
+            this.Load += new System.EventHandler(this.FrmCostStructureDiag_Load);
+            this.panel1.ResumeLayout(false);
+            this.pnlCostParam.ResumeLayout(false);
+            this.pnlCostParam.PerformLayout();
+            this.ResumeLayout(false);
+
+        }
+
+        #endregion
+
+        private System.Windows.Forms.Button btnExecute;
+        private System.Windows.Forms.Button btnCancel;
+        private System.Windows.Forms.Panel panel1;
+        private CustomControls.ComboBoxEX cmbDepartment;
+        private CustomControls.ComboBoxEX cmbPerson;
+        private System.Windows.Forms.Label label113;
+        private System.Windows.Forms.Label label76;
+        private System.Windows.Forms.Panel pnlCostParam;
+        private System.Windows.Forms.Label label22;
+        private System.Windows.Forms.TextBox textBox2;
+        private System.Windows.Forms.RadioButton radioButton6;
+        private System.Windows.Forms.RadioButton radioButton5;
+        private System.Windows.Forms.RadioButton radioButton4;
+    }
+}
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmSelectPerson.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmSelectPerson.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmSelectPerson.cs	(revision 6)
@@ -0,0 +1,431 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmSelectPerson : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// 初期化フラグ
+        /// </summary>
+        private bool bInitFlg = true;
+
+        /// <summary>
+        /// 部署コード
+        /// </summary>
+        private int m_Departmanet = 0;
+
+        /// <summary>
+        /// 担当者コード
+        /// </summary>
+        private int m_Person = 0;
+
+        /// <summary>
+        /// 選択区分
+        /// </summary>
+        private int m_SalaryFlg = 0;
+        /// <summary>
+        /// 選択日数
+        /// </summary>
+        private int m_SalaryDays = 0;
+        
+        /// <summary>
+        /// 選択担当者区分
+        /// </summary>
+        private int m_SelectFlg = 0;
+
+        /// <summary>
+        /// 終了状態フラグ
+        /// </summary>
+        private DialogResult m_EndButton = DialogResult.None;
+        #endregion
+
+        #region プロパティ
+
+        /// <summary>
+        /// 部署コード
+        /// </summary>
+        public int Departmanet
+        {
+            get { return m_Departmanet; }
+            set { m_Departmanet = value; }
+        }
+
+        /// <summary>
+        /// 担当者コード
+        /// </summary>
+        public int Person
+        {
+            get { return m_Person; }
+            set { m_Person = value; }
+        }
+
+        /// <summary>
+        /// 選択担当者区分
+        /// </summary>
+        public int SelectFlg
+        {
+            get { return m_SelectFlg; }
+            set { m_SelectFlg = value; }
+        }
+
+        /// <summary>
+        /// 選択区分
+        /// </summary>
+        public int SalaryFlg
+        {
+            get { return m_SalaryFlg; }
+            set { m_SalaryFlg = value; }
+        }
+        /// <summary>
+        /// 選択日数
+        /// </summary>
+        public int SalaryDays
+        {
+            get { return m_SalaryDays; }
+            set { m_SalaryDays = value; }
+        }
+
+        /// <summary>
+        /// 終了ボタン状態
+        /// </summary>
+        public DialogResult EndButton
+        {
+            get { return m_EndButton; }
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmSelectPerson()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCostStructureDiag_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+            // 部署コンボボックスセット
+            SetInitcmbDepartment();
+            // 担当者コンボボックスセット
+            SetInitcmbPersonInCharge();
+
+            if (m_Person != 0) cmbPerson.SelectedValue = m_Person;
+            // パラメータパネル表示
+            switch (m_SelectFlg)
+            {
+                case (int)CommonDefine.PersonSelectFlg.Assistant:
+                    this.Text = "副担当者選択";
+                    pnlCostParam.BackColor = Color.Beige;
+                    break;
+                case (int)CommonDefine.PersonSelectFlg.Instructor:
+                    this.Text = "指導員選択";
+                    pnlCostParam.BackColor = Color.MistyRose;
+                    break;
+            }
+
+            bInitFlg = false;
+        }
+        #endregion
+
+        #region ×ボタン
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmStatusAndDate_FormClosed(object sender, FormClosedEventArgs e)
+        {
+            if (m_EndButton == DialogResult.None) m_EndButton = DialogResult.Cancel;
+        }
+        #endregion
+
+        #region キャンセルボタン
+        /// <summary>
+        /// キャンセルボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnCancel_Click(object sender, EventArgs e)
+        {
+            m_EndButton = DialogResult.Cancel;
+            this.Close();
+        }
+        #endregion
+
+        #region 実行ボタン
+        /// <summary>
+        /// 実行ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnExecute_Click(object sender, EventArgs e)
+        {
+            if (cmbPerson.Text.Length == 0) return;
+            
+            if (MessageBox.Show("対象担当者を変更します、よろしいですか？", "入力完了確認"
+                    , MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.No) return;
+            
+            m_Departmanet = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+            m_Person = CommonMotions.cnvInt(cmbPerson.SelectedValue);
+            if (radioButton4.Checked) m_SalaryFlg = (int)CommonDefine.SalaryDevision.All;       // 全日
+            if (radioButton5.Checked) m_SalaryFlg = (int)CommonDefine.SalaryDevision.Noting;    // 振分無
+            if (radioButton6.Checked) m_SalaryFlg = (int)CommonDefine.SalaryDevision.DaysInput; // 日数入力
+            m_SalaryDays = CommonMotions.cnvInt(textBox2.Text);
+
+            m_EndButton = DialogResult.OK;
+            this.Close();
+        }
+        #endregion
+
+        #region 部署コンボボックス変更
+        /// <summary>
+        /// 部署コンボボックス変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbDepartment_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            if (bInitFlg) return;
+            // 担当者コンボボックスへ該当データのみセット
+            SetcmbPersons();
+        }
+        #endregion
+
+        #region 担当者コンボボックス変更
+        /// <summary>
+        /// 担当者コンボボックス変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbPerson_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            if (bInitFlg) return;
+            SetPersonToDepartment();
+        }
+        #endregion
+
+        // ------ ローカルメソッド
+        #region 部署コンボボックス初期セット
+        /// <summary>
+        /// 部署コンボボックスへ文字をセットする
+        /// </summary>
+        private bool SetInitcmbDepartment()
+        {
+            IOMDepartment dmDB = new IOMDepartment();
+            try
+            {
+                // 部署マスタを検索する
+                string strSQL = " Where DeleteFlg = 0 ORDER BY DisplayOrder ASC";
+                List<DepartmentMaster> dmList = new List<DepartmentMaster>();
+                // 部署マスタ読込
+                if (!dmDB.SelectAction(strSQL, ref dmList)) return false;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(0, ""));
+                // データ表示
+                foreach (DepartmentMaster wrk in dmList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(wrk.DepartmentCode, wrk.DepartmentString);
+
+                    DataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbDepartment, DataList);
+                cmbDepartment.SelectedIndex = -1;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                dmDB.close(); dmDB = null;
+            }
+        }
+        #endregion
+
+        #region 担当者コンボボックス初期セット
+        /// <summary>
+        /// 担当者コンボボックスへ文字をセットする
+        /// </summary>
+        private bool SetInitcmbPersonInCharge()
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>(); ;
+            try
+            {
+                // 担当者マスタを検索する
+                string strSQL = " Where DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC";
+
+                // 担当者マスタ読込
+                if (!picDB.SelectAction(strSQL, ref workList)) return false;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(0, ""));
+                // データ表示
+                foreach (PersonInChargeMaster wrk in workList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(wrk.PersonCode, wrk.PersonName);
+
+                    DataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbPerson, DataList);
+
+                cmbPerson.SelectedIndex = -1;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                picDB.close(); picDB = null;
+            }
+        }
+        #endregion
+
+        #region 担当者コンボボックスをセットする
+        /// <summary>
+        /// 担当者コンボボックスへ文字をセットする
+        /// </summary>
+        private bool SetcmbPersons()
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            bool bSave = bInitFlg;
+            bInitFlg = true;
+            try
+            {
+                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>();
+
+                cmbPerson.DataSource = null;
+                cmbPerson.Items.Clear();
+                cmbPerson.Text = "";
+
+                string strSQL = string.Empty;
+                int DepartmentCode = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+                if (DepartmentCode <= 0)
+                    strSQL = " WHERE DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC";
+                else
+                    strSQL = string.Format(" WHERE DEPARTMENTCODE = {0} AND DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC", DepartmentCode);
+
+                // 担当者マスタ読込
+                if (!picDB.SelectAction(strSQL, ref workList)) return false;
+
+                List<KeyValuePair<int, string>> ConstructionDataList = new List<KeyValuePair<int, string>>();
+                ConstructionDataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                foreach (PersonInChargeMaster work in workList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(work.PersonCode, work.PersonName);
+
+                    ConstructionDataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbPerson, ConstructionDataList);
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                picDB.close(); picDB = null;
+                bInitFlg = bSave;
+            }
+        }
+        #endregion
+
+        #region 担当者から部署のコードを取り出して部署コンボへセットする
+        /// <summary>
+        /// 担当者から部署のコードを取り出して部署コンボへセットする
+        /// </summary>
+        private void SetPersonToDepartment()
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            try
+            {
+                int PersonCode= CommonMotions.cnvInt(cmbPerson.SelectedValue);
+                string strSQL = picDB.CreatePrimarykeyString(PersonCode);
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                if (!picDB.SelectAction(strSQL, ref PersonRec)) return;
+
+                bool bSave = bInitFlg;
+                bInitFlg = true;
+                cmbDepartment.SelectedValue = PersonRec.DepartmentCode;
+                bInitFlg = bSave;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                picDB.close(); picDB = null;
+            }
+        }
+        #endregion
+
+        #region ラジオボタン変更
+        /// <summary>
+        /// ラジオボタン変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void radioButton_CheckedChanged(object sender, EventArgs e)
+        {
+            if (radioButton6.Checked)
+            {
+                textBox2.Enabled = true;
+            }
+            else
+            {
+                textBox2.Text = "";
+                textBox2.Enabled = false;
+            }
+        }
+        #endregion
+    }
+}
